Passer au contenu principal
GET
/
2
/
dm_events
/
{event_id}
Obtenir un événement de DM par id
curl --request GET \
  --url https://api.x.com/2/dm_events/{event_id} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "event_type": "MessageCreate",
    "id": "1146654567674912769",
    "attachments": {
      "card_ids": [
        "<string>"
      ],
      "media_keys": [
        "<string>"
      ]
    },
    "cashtags": [
      {
        "end": 61,
        "start": 50,
        "tag": "TWTR"
      }
    ],
    "created_at": "2023-11-07T05:31:56Z",
    "dm_conversation_id": "123123123-456456456",
    "hashtags": [
      {
        "end": 61,
        "start": 50,
        "tag": "MondayMotivation"
      }
    ],
    "mentions": [
      {
        "end": 61,
        "start": 50,
        "username": "<string>",
        "id": "2244994945"
      }
    ],
    "participant_ids": [
      "2244994945"
    ],
    "referenced_tweets": [
      {
        "id": "1346889436626259968"
      }
    ],
    "sender_id": "2244994945",
    "text": "<string>",
    "urls": [
      {
        "end": 61,
        "start": 50,
        "url": "https://developer.twitter.com/en/docs/twitter-api",
        "description": "This is a description of the website.",
        "display_url": "twittercommunity.com/t/introducing-…",
        "expanded_url": "https://developer.twitter.com/en/docs/twitter-api",
        "images": [
          {
            "height": 1,
            "url": "https://developer.twitter.com/en/docs/twitter-api",
            "width": 1
          }
        ],
        "media_key": "<string>",
        "status": 349,
        "title": "Introducing the v2 follow lookup endpoints",
        "unwound_url": "https://twittercommunity.com/t/introducing-the-v2-follow-lookup-endpoints/147118"
      }
    ]
  },
  "errors": [
    {
      "title": "<string>",
      "type": "<string>",
      "detail": "<string>",
      "status": 123
    }
  ],
  "includes": {
    "media": [
      {
        "type": "<string>",
        "preview_image_url": "<string>",
        "variants": [
          {
            "bit_rate": 123,
            "content_type": "<string>",
            "url": "<string>"
          }
        ],
        "height": 1,
        "media_key": "<string>",
        "width": 1
      }
    ],
    "places": [
      {
        "full_name": "Lakewood, CO",
        "id": "f7eb2fa2fea288b1",
        "contained_within": [
          "f7eb2fa2fea288b1"
        ],
        "country": "United States",
        "country_code": "US",
        "geo": {
          "bbox": [
            -105.193475,
            39.60973,
            -105.053164,
            39.761974
          ],
          "properties": {},
          "geometry": {
            "coordinates": [
              -105.18816086351444,
              40.247749999999996
            ],
            "type": "Point"
          }
        },
        "name": "Lakewood",
        "place_type": "city"
      }
    ],
    "polls": [
      {
        "id": "1365059861688410112",
        "options": [
          {
            "label": "<string>",
            "position": 123,
            "votes": 123
          }
        ],
        "duration_minutes": 5042,
        "end_datetime": "2023-11-07T05:31:56Z"
      }
    ],
    "topics": [
      {
        "id": "<string>",
        "name": "Technology",
        "description": "All about technology"
      }
    ],
    "tweets": [
      {
        "author_id": "2244994945",
        "created_at": "Wed Jan 06 18:40:40 +0000 2021",
        "id": "1346889436626259968",
        "text": "Learn how to use the user Tweet timeline and user mention timeline endpoints in the X API v2 to explore Tweet\\u2026 https:\\/\\/t.co\\/56a0vZUx7i",
        "username": "XDevelopers"
      }
    ],
    "users": [
      {
        "created_at": "2013-12-14T04:35:55Z",
        "id": "2244994945",
        "name": "X Dev",
        "protected": false,
        "username": "TwitterDev"
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://generaltranslation.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Autorisations

Authorization
string
header
requis

The access token received from the authorization server in the OAuth 2.0 flow.

Paramètres de chemin

event_id
string
requis

ID de l’événement de message privé (DM). Identifiant unique de l’événement de DM.

Pattern: ^[0-9]{1,19}$
Exemple:

"1146654567674912769"

Paramètres de requête

dm_event.fields
enum<string>[]

Liste de champs DmEvent, séparée par des virgules, à inclure dans la réponse. Champs disponibles pour un objet DmEvent.

Minimum array length: 1
Options disponibles:
attachments,
created_at,
dm_conversation_id,
entities,
event_type,
id,
participant_ids,
referenced_tweets,
sender_id,
text
Exemple:
[
"attachments",
"created_at",
"dm_conversation_id",
"entities",
"event_type",
"id",
"participant_ids",
"referenced_tweets",
"sender_id",
"text"
]
expansions
enum<string>[]

Une liste, séparée par des virgules, de champs à développer. Liste des champs pouvant être développés pour un objet DmEvent. Si un champ contient un id, il peut être développé en un objet complet.

Minimum array length: 1
Options disponibles:
attachments.media_keys,
participant_ids,
referenced_tweets.id,
sender_id
Exemple:
[
"attachments.media_keys",
"participant_ids",
"referenced_tweets.id",
"sender_id"
]
media.fields
enum<string>[]

Une liste de champs Media, séparés par des virgules, à renvoyer. Les champs disponibles pour l’objet Media.

Minimum array length: 1
Options disponibles:
alt_text,
duration_ms,
height,
media_key,
non_public_metrics,
organic_metrics,
preview_image_url,
promoted_metrics,
public_metrics,
type,
url,
variants,
width
Exemple:
[
"alt_text",
"duration_ms",
"height",
"media_key",
"non_public_metrics",
"organic_metrics",
"preview_image_url",
"promoted_metrics",
"public_metrics",
"type",
"url",
"variants",
"width"
]
user.fields
enum<string>[]

Une liste, séparée par des virgules, de champs User à renvoyer. Les champs disponibles pour un objet User.

Minimum array length: 1
Options disponibles:
affiliation,
confirmed_email,
connection_status,
created_at,
description,
entities,
id,
is_identity_verified,
location,
most_recent_tweet_id,
name,
parody,
pinned_tweet_id,
profile_banner_url,
profile_image_url,
protected,
public_metrics,
receives_your_dm,
subscription,
subscription_type,
url,
username,
verified,
verified_followers_count,
verified_type,
withheld
Exemple:
[
"affiliation",
"confirmed_email",
"connection_status",
"created_at",
"description",
"entities",
"id",
"is_identity_verified",
"location",
"most_recent_tweet_id",
"name",
"parody",
"pinned_tweet_id",
"profile_banner_url",
"profile_image_url",
"protected",
"public_metrics",
"receives_your_dm",
"subscription",
"subscription_type",
"url",
"username",
"verified",
"verified_followers_count",
"verified_type",
"withheld"
]
tweet.fields
enum<string>[]

Une liste, séparée par des virgules, des champs de Tweet à renvoyer. Les champs disponibles pour un objet Tweet.

Minimum array length: 1
Options disponibles:
article,
attachments,
author_id,
card_uri,
community_id,
context_annotations,
conversation_id,
created_at,
display_text_range,
edit_controls,
edit_history_tweet_ids,
entities,
geo,
id,
in_reply_to_user_id,
lang,
media_metadata,
non_public_metrics,
note_tweet,
organic_metrics,
possibly_sensitive,
promoted_metrics,
public_metrics,
referenced_tweets,
reply_settings,
scopes,
source,
suggested_source_links,
suggested_source_links_with_counts,
text,
withheld
Exemple:
[
"article",
"attachments",
"author_id",
"card_uri",
"community_id",
"context_annotations",
"conversation_id",
"created_at",
"display_text_range",
"edit_controls",
"edit_history_tweet_ids",
"entities",
"geo",
"id",
"in_reply_to_user_id",
"lang",
"media_metadata",
"non_public_metrics",
"note_tweet",
"organic_metrics",
"possibly_sensitive",
"promoted_metrics",
"public_metrics",
"referenced_tweets",
"reply_settings",
"scopes",
"source",
"suggested_source_links",
"suggested_source_links_with_counts",
"text",
"withheld"
]

Réponse

La requête a réussi.

data
object
errors
object[]
Minimum array length: 1

Un objet HTTP Problem Details, tel que défini dans la RFC IETF 7807 (https://tools.ietf.org/html/rfc7807).

includes
object